Active Timers
3 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
Get current user's active timer#
GET
/active-timersTokenAntworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/active-timers" \
-H "Authorization: Bearer $XISUITE_TOKEN"Start a timer on a task#
POST
/active-timersTokenRequest-Body
| Name | Typ | Beschreibung |
|---|---|---|
task_idPflicht | string | – |
taskId | string | Legacy Next.js body alias |
organizationId | string | Legacy body value ignored; org is derived from auth context |
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/active-timers" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"task_id":"…"}'Stop timer and log a time entry#
DELETE
/active-timers/{id}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
idPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
note | string | – |
organizationId | string | Legacy body value ignored; org is derived from auth context |
Antworten
- 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/active-timers/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"note":"…","organizationId":"…"}'